> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stashy.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Content

> Get a file's content. Supports Range requests.



## OpenAPI

````yaml GET /v1/files/{id}/content
openapi: 3.1.0
info:
  title: Stashy API
  description: API documentation for Stashy API
  version: 1.0.0
servers:
  - url: https://stashy.example.com
    description: Your Stashy instance
security:
  - BearerAuth: []
paths:
  /v1/files/{id}/content:
    get:
      summary: GetFileContent
      description: Get a file's content. Supports Range requests.
      operationId: FileService_GetFileContent
      parameters:
        - name: id
          in: path
          description: The id path parameter.
          required: true
          schema:
            type: string
            title: id
            pattern: ^[A-Za-z0-9_-]{21}$
      responses:
        '200':
          description: ''
          content:
            '*/*':
              schema:
                type: string
                format: binary
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.